/** --------------------------------------------------------------------

	HOME PUBLICATIONS

--------------------------------------------------------------------- */

.wpgb-grid-17 .wpgb-page-dots, 
.wpgb-grid-17 .wpgb-prev-button, 
.wpgb-grid-17 .wpgb-next-button {
	display: inherit !important;
}

.wpgb-prev-button, 
.wpgb-next-button {
filter: invert(98%) sepia(0%) saturate(0%) hue-rotate(338deg) brightness(101%) contrast(104%)!important;
}

.wpgb-grid-17.wp-grid-builder .wpgb-prev-button.wpgb-prev-button {
margin-left:-50px !important
}

.wpgb-grid-17 .wpgb-page-dots {
	margin-top:40px !important;
}

.wpgb-grid-17 .wpgb-page-dots .wpgb-dot[aria-selected="true"]::after{
background:#d8215d !important
}

.home-publications-item {
	text-align: center; /* Centre horizontalement les enfants inline/block */
}

.home-publications-module {
	display: inline-block; /* Nécessaire pour text-align */
	max-width: 800px; /* Respecte la largeur maximale */
	width: 100%; /* Force l'élément à prendre tout l'espace possible */
}

.home-publications .wpgb-card-media-thumbnail {
	border-radius: 8px !important;
}

.home-publications-module .wpgb-card-content{
	text-align: center; background:none !important;	
}

.home-publications .wpgb-card-body{
	text-align: center;
	background:none !important;
}

.home-publications-titre {
	font-family:'SF UI Display Heavy', Arial, sans-serif !important;
	font-size:2.6em !important ;
	margin-bottom:30px !important;
	line-height:1.1em !important;
}

.home-publications-infos {
	font-family:'SF UI Display Medium', Arial, sans-serif !important;
	font-size:1.2em !important ;
	margin-bottom:60px !important;
	display:inline-block !important;
	background:#c9d9ea;
	padding:6px 16px !important;
	border-radius:4px;
	color:#1e1e31 !important;
}

.home-publications-dl a.btn-download, .home-publications-calameo a.btn-download  {
    width: 80px; /* Ajustez la taille de la boule */
    height: 80px; /* Ajustez la taille de la boule */
    border-radius: 50%; /* Forme de boule */
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    overflow: hidden;
    text-decoration: none;
    box-shadow: none !important;
    border: none;
	transition: background-color 0.4s ease !important;
	
}

.home-publications-dl a.btn-download {
	 background-color: #d8215d;
	margin-right:10px !important;
}

.home-publications-dl a.btn-download:hover {
	 background-color: #f3bcce; 
}

.home-publications-calameo a.btn-download {
	 background-color: #ccc; 
	margin-left:10px !important;
}

.home-publications-calameo a.btn-download:hover {
 background-color: #e5e5e5; 
}

.home-publications-dl a.btn-download span, .home-publications-calameo a.btn-download span {
    display: none !important; /* Cache le texte 'Télécharger' */
}

.home-publications-dl a.btn-download::before, .home-publications-calameo a.btn-download::before {
 content: '';
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; 
	vertical-align: middle; 
	width: 30px;
	height: 30px;
}

.home-publications-dl a.btn-download::before {
		background-image: url('/wp-content/themes/Divi-Child/img/ico/boule-download.svg');
	filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(288deg) brightness(102%) contrast(102%);
}

.home-publications-dl a.btn-download:hover::before {
		background-image: url('/wp-content/themes/Divi-Child/img/ico/boule-download.svg');
	filter: brightness(0) saturate(100%) invert(20%) sepia(44%) saturate(6430%) hue-rotate(329deg) brightness(90%) 
}

.home-publications-calameo a.btn-download::before {
		background-image: url('/wp-content/themes/Divi-Child/img/ico/open-book2.svg');
}

@media (max-width: 768px) {
	.home-publications-titre {
	margin-top:30px !important;;
	}
}

















/** --------------------------------------------------------------------

	PAGE PUBLICATIONS

--------------------------------------------------------------------- */

/* .publications .wpgb-card-wrapper, .publications2 .wpgb-card-wrapper{
overflow:hidden !important;
border:1px solid #ccc !important;
border-radius: 10px !important;
}
*/


/* Styles pour les champs de formulaire */
.form-row {
	display: flex;
	flex-wrap: wrap;
	gap: 10px; /* Espace entre les selects */
	transition: flex-direction 0.5s ease, gap 0.5s ease; /* Transition pour les changements de direction et de gap */
}

.wpgb-facet-5, .wpgb-facet-6, .wpgb-facet-9, .wpgb-facet-11, .wpgb-facet-12, .wpgb-facet-13 { 
	/* Publications : genres(9), année(11) - Actualités : Thèmes(6), recherche(12) - Agenda : thèmes (5), dates (13) */
	flex: 1; /* Prend un espace égal */
	height:40px !important;
	margin-bottom:40px !important;
}

.wpgb-facet-5 select, .wpgb-facet-6 select, .wpgb-facet-12 input,.wpgb-facet-9 select, .wpgb-facet-11 select, .wpgb-facet-13 input {
	width: 100%; /* Prend toute la largeur */
	transition: width 0.5s ease; /* Transition pour le changement de largeur */
	background:#fff !important;
}

.publication-content, .publications2 .publication-content {
	text-align:center;
}

.publication-content-body, .actu-content-body {
	background:none !important;
}

.publication-date {
 position:absolute !important;
	left:0px;
	bottom:0px;
	display:inline-block !important;
	background:#1265b9;
	color:#fff !important;
	font-size:0.8em !important;
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	letter-spacing:0.05em;
	line-height:1 !important;
	border-top-right-radius: 4px;
	padding:8px 12px 8px 20px!important;
	transition: 0.2s linear !important;
	text-transform:uppercase; 
}

.publication-carte:hover .publication-date{
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	background:#0e4176 !important;
	color:#fff !important;
	padding-left:60px!important;
	transition: 0.2s linear !important;
}

.publication-carte:hover .publication-date::after{
	content: '' !important;
	background-size: contain !important;
	background-repeat: no-repeat !important;
	display: inline-block !important; /* Permet de positionner l'icône en ligne */
	vertical-align: middle !important; /* Aligne l'icône avec le texte */
	background-image: url('/wp-content/themes/Divi-Child/img/ico/sup-right.svg') !important;
	width: 10px !important; /* Ajustez la taille selon vos besoins */
	height: 10px !important;
	margin-left: 12px!important; /* Espace entre le texte et l'icône */
	margin-top: -2px!important;
	filter: invert(98%) sepia(0%) saturate(0%) hue-rotate(338deg) brightness(101%) contrast(104%)!important;
	transition: 0.2s linear !important;	
}

.publications2-date {
	display:inline-block !important;
	background:#0e4176;
	color:#fff !important;
	font-size:0.85em !important;
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	letter-spacing:0.05em;
	line-height:1 !important;
	padding:10px 16px!important;
	text-transform:uppercase; 
}

.publication-bouton-download a::before {
	content: '';
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; /* Permet de positionner l'icône en ligne */
	vertical-align: middle; /* Aligne l'icône avec le texte */
	background-image: url('/wp-content/themes/Divi-Child/img/ico/download-file.svg');
	width: 14px; /* Ajustez la taille selon vos besoins */
	height: 14px;
	margin-right: 12px; /* Espace entre le texte et l'icône */
	margin-top:-6px;
	filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(288deg) brightness(102%) contrast(102%);
}

.publication-bouton-download a,  .publication-bouton-download a:hover{
	color:#fff !important;
	text-transform:uppercase;
	font-size:0.85em !important;
	letter-spacing: 0.10em;
		display: block !important;	padding: 8px !important;
	border-radius:4px !important;
}

.publication-bouton-download a:focus-visible {
	outline: 5px solid #1a84fe !important;
  outline-offset: 2px;
}

.publication-bouton-download{
	display: block !important;
	margin-top:20px !important;
	font-size: 16px;
	background-color: #000;
	border-radius: 4px;
	text-align: center;
	cursor: pointer;
	transition: background-color 0.3s ease !important;
}

.publication-bouton-download:hover {
	background-color: #444; 
	transition: background-color 0.3s ease !important;
}

.wpgb-facet-8 { /* Charger plus */
	text-align:center;
}

/* Media query ajustée pour la vue mobile */
@media (max-width: 1200px) {
	.form-row {
		flex-direction: column;
		gap: 0; /* Réinitialise le gap pour les petits écrans */
	}

	.wpgb-facet-5, .wpgb-facet-6, .wpgb-facet-12, .wpgb-facet-9, .wpgb-facet-11, .wpgb-facet-13 {
		width: 100%; /* Prend toute la largeur */
		height:40px !important;
		margin-bottom:0px !important;
	}

	.wpgb-facet-5 select, .wpgb-facet-6 select, .wpgb-facet-12 input,.wpgb-facet-9 select, .wpgb-facet-11 select, .wpgb-facet-13 input {
	width: 100%; /* Prend toute la largeur */
	}
}

.publication-carte .publication-titre {
	font-size: 1.6em !important
}


.publication-carte .home-publications-infos {
margin-bottom:40px !important;
		font-size: 1em !important
}

.publications-details {
	background:#ddd;
	padding:4px 16px;
	border-radius:3px;
	font-size:0.85em;
	display:inline-block;
	margin-top:-105px !important;
}




